Bug 229182 - Review Request: texlive-texmf-errata - Errata for texlive-texmf
Review Request: texlive-texmf-errata - Errata for texlive-texmf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
: Reopened
Depends On: 229180
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-19 07:35 EST by Jindrich Novy
Modified: 2013-07-02 19:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-02 06:59:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jindrich Novy 2007-02-19 07:35:55 EST
Spec URL: http://people.redhat.com/jnovy/files/texlive/texlive-texmf-errata.spec
SRPM URL: http://people.redhat.com/jnovy/files/texlive/texlive-texmf-errata-2007-0.1.20070212rc.src.rpm
Description:

This is the errata package for the TeXLive 2007 formatting system. The purpose of this package is to support updates to huge texmf tree without a need to download all the texmf tree again, but to ship only the fixed parts. texlive-errata puts updated files into a seperate texmf tree which is searched prior to the main tree so there are no conflicts between texlive-errata and texlive-texmf packages.

Successfull completion of this review and addition of this package is a blocker of TeXLive inclusion in F7:
http://fedoraproject.org/wiki/Releases/FeatureTexLive
Comment 1 Rex Dieter 2007-04-10 15:50:56 EDT
I can get started on these, and please submit review for texlive (binaries, if
you haven't already, I didn't check... yet).
Comment 2 Jonathan Underwood 2007-04-16 06:03:10 EDT
Hi Jindrich,

While I understand your separate packaging of errata follows upstream, I think
that packaging errata in this way for Fedora needs some discussion. This is a
totally different packaging paradigm - as far as I'm aware there's no precedent
for issuing errata packages rather than updated packages. A far better
alternative IMO is to have finer grained subpackaging of the texlive texmf tree,
such that updates don't replace the whole thing. That of course has other major
advantages, such as allowing smaller tex installs.

Also, to have *two* system managed texmf trees searched is a big change, and
something else that system admins have to think about when they add their own
local texmf trees.

Put more bluntly, while I understand the convenience from a packagers point of
view, this seems like a really ugly way to package.
Comment 3 Jindrich Novy 2007-04-16 06:45:52 EDT
It seems like the separate texmf-errata package loses its main point as soon as
the deltarpm based updating system starts to work properly. The question is how
to fine grain packaging of the the texmf tree for TeXLive and if it does even
make sense if we take the diff updating scheme into account.
Comment 4 Jindrich Novy 2007-06-04 04:52:52 EDT
Ok, I dropped the texlive-errata updating scheme from the new TeXLive rpms, so
closing this for now.
Comment 5 Rex Dieter 2007-06-04 07:34:03 EDT
fwiw, I thought that texlive-errata was a good approach.
Comment 6 Jindrich Novy 2007-06-08 04:51:02 EDT
We can eventually reintroduce it as the review goes on. There's no problem to
add it back.
Comment 7 Jindrich Novy 2007-07-02 08:18:11 EDT
I just uploaded the new texlive packages:

http://people.redhat.com/jnovy/files/texlive/

Main features/differences from the previous version:
1. dropped former texjive zip list for the texmf trees and texlive now uses the
zips generated from the scheme-tetex.tpm from upstream
2. reintroduced texlive-errata updating scheme

Seems like we have the first functional texlive release based on scheme-tetex now.
Comment 8 Jonathan Underwood 2007-08-06 18:03:19 EDT
As I mentioned before, I think the texlive-errata scheme smells quite bad and is
a new paradigm for fedora packaging. This SHOULD be discussed by FESCO and the
packaging committee before being accepted IMO.
Comment 9 Tomas Mraz 2007-08-15 08:47:13 EDT
Isn't the main reason why it wasn't done for other packages that it wouldn't
gain much and/or wasn't feasible for them? The texlive-texmf source is special
in this regard that it consists of huge number of relatively small files which
makes the errata rpm workable.
I don't see anything wrong with it if we always ensure that before each release
of Fedora the errata package is empty and it will get filled only in the updates
repository.
The only problem with it I could see is that it is additional burden on the
maintainer of texlive packages but if he is willing to take it I'd say why not?
Comment 10 Axel Thimm 2007-10-26 11:03:21 EDT
FWIW I also like the errata package:

 o Upstream experts provide the needed delta is bite-ready form
 o Packager can react almost immediately, so users get their hands sooner on
   the fixes
 o No stress for mirrors (yes, even in a delta rpm world, the mirror will have to
   waste bandwidth for updates of megapackages)

Asking from the packager to do micro-dismantling of the tarballs is IMHO a waste
of his time, I'd rather see him use that time in some other tex/latex packages
than to merge erratas and re-subpackage everything again.

I also don't think this needs any special fesco/fpc blessing, but if people
object, then please raise it there and we will discuss it and give it a blessing
or a no-go.
Comment 11 Jonathan Underwood 2007-10-26 11:18:26 EDT
(In reply to comment #10)
> FWIW I also like the errata package:
> 
>  o Upstream experts provide the needed delta is bite-ready form

Is that true? I looked and found no trace of an upstream errata package.
[snip]

> I also don't think this needs any special fesco/fpc blessing, but if people
> object, then please raise it there and we will discuss it and give it a blessing
> or a no-go.
> 

It was raised already, and you even commented :) See

https://www.redhat.com/archives/fedora-packaging/2007-August/msg00019.html

Feelings were mixed, no consensus was reached.
Comment 12 Axel Thimm 2007-10-28 17:03:33 EDT
(In reply to comment #11)
> (In reply to comment #10)
> > FWIW I also like the errata package:
> > 
> >  o Upstream experts provide the needed delta is bite-ready form
> 
> Is that true? I looked and found no trace of an upstream errata package.
> [snip]

I stand corrected then. I know texlive is working on this for quite some time
and this package implied that it was using upstream updates. This indeed seems
not be be true at this point in time. Still when texlive does finally ship
updates/errata this will become true. Maybe this is an area where the Fedora/Red
Hat packager will create momentum for texlive to finalize this step?

> > I also don't think this needs any special fesco/fpc blessing, but if people
> > object, then please raise it there and we will discuss it and give it a blessing
> > or a no-go.
> > 
> 
> It was raised already, and you even commented :) See
> 
> https://www.redhat.com/archives/fedora-packaging/2007-August/msg00019.html
> 
> Feelings were mixed, no consensus was reached.

I'm glad I'm not contradicting myself ;)

OK, from all the people commenting I was the only one on the FPC. And we know
Rex favours this approach. So you have 2 gos and nil no-gos ATM. :)
Comment 13 Patrice Dumas 2007-12-01 15:39:32 EST
This package is mostly empty for now, as expected.

APPROVED.
Comment 14 Jindrich Novy 2007-12-01 15:46:54 EST
New Package CVS Request
=======================
Package Name: texlive-texmf-errata
Short Description: Errata for texlive-texmf
Owners: jnovy
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 15 Jindrich Novy 2007-12-02 06:59:14 EST
Successfully built, closing. Thanks for cooperation!

Note You need to log in before you can comment on or make changes to this bug.